std::iterator_traits< _Iterator >(3cxx)

NAME
std::iterator_traits< _Iterator > - Traits class for iterators.

SYNOPSIS

Detailed Description

  template<typename _Iterator>
struct std::iterator_traits< _Iterator >"Traits class for iterators.

This class does nothing but define nested typedefs. The general version simply forwards the nested typedefs from the Iterator argument. Specialized versions for pointers and pointers-to-const provide tighter, more correct semantics.

Author

Generated automatically by Doxygen for libstdc++ from the source code.